Anonymous Login
2019-06-24 12:31 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001532v3.2 ReleaseProject Designerpublic2014-07-16 21:29
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionduplicate 
Product Version 
Target Version3.2Fixed in Version3.2 
Summary0001532: bulk changing tasks (end date) takes ages -> php timeout
Descriptionchanging the end date of 10 tasks takes ... > 30 sec, only part of the tasks are updated

some of them are milestones, I just see - so that explains why they were not changed, but does not explain the long time for the script.
TagsNo tags attached.
Attached Files

-Relationships
duplicate of 0001558new Pending Requests bad efficiency of update tasks 
+Relationships

-Notes

~0003417

caseydk (administrator)

I'm marking this as a duplicate of 0001558. While it's not the identical issue, both of them come from the same source of a store() doing a lot of work. Both will be solved by the same fix.

When you're doing bulk updates and have a store() occurring, the first updated tasks update all the child tasks, dynamics, etc.. which takes so long that the last tasks don't get updated before PHP times out.

~0003425

opto (manager)

yes, it would make sense to first copy everything without updatedynamics, and in a second step do the latter. So we won't do it several times for tasks
+Notes

-Issue History
Date Modified Username Field Change
2014-05-19 01:10 opto New Issue
2014-05-19 01:12 opto Description Updated View Revisions
2014-06-06 21:07 caseydk Relationship added duplicate of 0001558
2014-06-06 21:09 caseydk Note Added: 0003417
2014-06-06 21:09 caseydk Status new => resolved
2014-06-06 21:09 caseydk Resolution open => duplicate
2014-06-06 21:09 caseydk Assigned To => caseydk
2014-06-08 12:54 opto Note Added: 0003425
2014-06-08 12:54 opto Status resolved => feedback
2014-06-08 12:54 opto Resolution duplicate => reopened
2014-06-08 20:09 caseydk Status feedback => resolved
2014-06-08 20:09 caseydk Resolution reopened => duplicate
2014-06-10 22:09 caseydk Target Version => 3.2
2014-07-16 21:26 caseydk Fixed in Version => 3.2
2014-07-16 21:29 caseydk Status resolved => closed
+Issue History